Package org.w3._2001._04.xmlenc

# Class ObjectFactory

java.lang.Object
org.w3._2001._04.xmlenc.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the org.w3._2001._04.xmlenc package.

An ObjectFactory allows you to programmatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.w3._2001._04.xmlenc

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AgreementMethod`
  `createAgreementMethod()`
  Create an instance of `AgreementMethod`
  `jakarta.xml.bind.JAXBElement<byte[]>`
  `createAgreementMethodKANonce(byte[] value)`
  Create an instance of `JAXBElement``<`
  invalid reference

      byte[]

  `>`
  `jakarta.xml.bind.JAXBElement<KeyInfo>`
  `createAgreementMethodOriginatorKeyInfo(KeyInfo value)`
  Create an instance of `JAXBElement``<``KeyInfo``>`
  `jakarta.xml.bind.JAXBElement<KeyInfo>`
  `createAgreementMethodRecipientKeyInfo(KeyInfo value)`
  Create an instance of `JAXBElement``<``KeyInfo``>`
  `CipherData`
  `createCipherData()`
  Create an instance of `CipherData`
  `CipherReference`
  `createCipherReference()`
  Create an instance of `CipherReference`
  `EncryptedData`
  `createEncryptedData()`
  Create an instance of `EncryptedData`
  `EncryptedKey`
  `createEncryptedKey()`
  Create an instance of `EncryptedKey`
  `EncryptionMethodType`
  `createEncryptionMethodType()`
  Create an instance of `EncryptionMethodType`
  `jakarta.xml.bind.JAXBElement<BigInteger>`
  `createEncryptionMethodTypeKeySize(BigInteger value)`
  Create an instance of `JAXBElement``<``BigInteger``>`
  `jakarta.xml.bind.JAXBElement<byte[]>`
  `createEncryptionMethodTypeOAEPparams(byte[] value)`
  Create an instance of `JAXBElement``<`
  invalid reference

      byte[]

  `>`
  `EncryptionProperties`
  `createEncryptionProperties()`
  Create an instance of `EncryptionProperties`
  `EncryptionProperty`
  `createEncryptionProperty()`
  Create an instance of `EncryptionProperty`
  `ReferenceList`
  `createReferenceList()`
  Create an instance of `ReferenceList`
  `jakarta.xml.bind.JAXBElement<ReferenceType>`
  `createReferenceListDataReference(ReferenceType value)`
  Create an instance of `JAXBElement``<``ReferenceType``>`
  `jakarta.xml.bind.JAXBElement<ReferenceType>`
  `createReferenceListKeyReference(ReferenceType value)`
  Create an instance of `JAXBElement``<``ReferenceType``>`
  `ReferenceType`
  `createReferenceType()`
  Create an instance of `ReferenceType`
  `TransformsType`
  `createTransformsType()`
  Create an instance of `TransformsType`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.w3._2001._04.xmlenc

- ## Method Details

  - ### createCipherData

    public CipherData createCipherData()
    Create an instance of `CipherData`
    Returns:
      the new instance of `CipherData`

  - ### createCipherReference

    public CipherReference createCipherReference()
    Create an instance of `CipherReference`
    Returns:
      the new instance of `CipherReference`

  - ### createTransformsType

    public TransformsType createTransformsType()
    Create an instance of `TransformsType`
    Returns:
      the new instance of `TransformsType`

  - ### createEncryptedData

    public EncryptedData createEncryptedData()
    Create an instance of `EncryptedData`
    Returns:
      the new instance of `EncryptedData`

  - ### createEncryptionMethodType

    public EncryptionMethodType createEncryptionMethodType()
    Create an instance of `EncryptionMethodType`
    Returns:
      the new instance of `EncryptionMethodType`

  - ### createEncryptionProperties

    public EncryptionProperties createEncryptionProperties()
    Create an instance of `EncryptionProperties`
    Returns:
      the new instance of `EncryptionProperties`

  - ### createEncryptionProperty

    public EncryptionProperty createEncryptionProperty()
    Create an instance of `EncryptionProperty`
    Returns:
      the new instance of `EncryptionProperty`

  - ### createEncryptedKey

    public EncryptedKey createEncryptedKey()
    Create an instance of `EncryptedKey`
    Returns:
      the new instance of `EncryptedKey`

  - ### createReferenceList

    public ReferenceList createReferenceList()
    Create an instance of `ReferenceList`
    Returns:
      the new instance of `ReferenceList`

  - ### createReferenceType

    public ReferenceType createReferenceType()
    Create an instance of `ReferenceType`
    Returns:
      the new instance of `ReferenceType`

  - ### createAgreementMethod

    public AgreementMethod createAgreementMethod()
    Create an instance of `AgreementMethod`
    Returns:
      the new instance of `AgreementMethod`

  - ### createReferenceListDataReference

    public jakarta.xml.bind.JAXBElement<ReferenceType> createReferenceListDataReference(ReferenceType value)
    Create an instance of `JAXBElement``<``ReferenceType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ReferenceType``>`

  - ### createReferenceListKeyReference

    public jakarta.xml.bind.JAXBElement<ReferenceType> createReferenceListKeyReference(ReferenceType value)
    Create an instance of `JAXBElement``<``ReferenceType``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``ReferenceType``>`

  - ### createAgreementMethodKANonce

    public jakarta.xml.bind.JAXBElement<byte[]> createAgreementMethodKANonce(byte[] value)
    Create an instance of `JAXBElement``<`
    invalid reference

        byte[]

    `>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<`
      invalid reference

          byte[]

      `>`

  - ### createAgreementMethodOriginatorKeyInfo

    public jakarta.xml.bind.JAXBElement<KeyInfo> createAgreementMethodOriginatorKeyInfo(KeyInfo value)
    Create an instance of `JAXBElement``<``KeyInfo``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``KeyInfo``>`

  - ### createAgreementMethodRecipientKeyInfo

    public jakarta.xml.bind.JAXBElement<KeyInfo> createAgreementMethodRecipientKeyInfo(KeyInfo value)
    Create an instance of `JAXBElement``<``KeyInfo``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``KeyInfo``>`

  - ### createEncryptionMethodTypeKeySize

    public jakarta.xml.bind.JAXBElement<BigInteger> createEncryptionMethodTypeKeySize(BigInteger value)
    Create an instance of `JAXBElement``<``BigInteger``>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<``BigInteger``>`

  - ### createEncryptionMethodTypeOAEPparams

    public jakarta.xml.bind.JAXBElement<byte[]> createEncryptionMethodTypeOAEPparams(byte[] value)
    Create an instance of `JAXBElement``<`
    invalid reference

        byte[]

    `>`
    Parameters:
      `value` - Java instance representing xml element's value.
    Returns:
      the new instance of `JAXBElement``<`
      invalid reference

          byte[]

      `>`